Status: Closed Start date: 27 Feb 2020

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: New Function Estimated time: 1.23 hour

Target version: CoCoALib-0.99700 Spent time: 1.20 hour

Description

Bring LawrenceMat into CoCoALib.

Currenly hidden in toric.cpkg5

History

#1 - 27 Feb 2020 17:30 - Anna Maria Bigatti

- % Done changed from 0 to 60

essentially done

now testing

#2 - 27 Feb 2020 18:37 - Anna Maria Bigatti

- Status changed from New to Feedback

Done. Tested, Documented. Checking in.

#3 - 06 Mar 2020 15:43 - John Abbott

- % Done changed from 60 to 80

What is the definition of Lawrence lifting?

I found a paper on ArXiV: arxiv.org/pdf/1508.05461.pdf which gives a slightly different defn.

#4 - 06 Mar 2020 15:48 - John Abbott

Any objections to changing the return type to ConstMatrixView?

It seems more "natural/efficient" to me than necessarily building a DenseMat...  that's all.

UPDATE but it probably makes it harder to export to CoCoA-5.  I'll leave it is as it is.

#5 - 06 Mar 2020 16:07 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 80 to 100

- Estimated time changed from 1.00 h to 1.23 h

#6 - 06 Mar 2020 16:35 - Anna Maria Bigatti

John Abbott wrote:

Any objections to changing the return type to ConstMatrixView?

It seems more "natural/efficient" to me than necessarily building a DenseMat...  that's all.
UPDATE but it probably makes it harder to export to CoCoA-5.  I'll leave it is as it is.

 

I think we can do it! after all many functions for matrices are like that.

definition

 

I used my definition which I already had for toric.

And that is also the used in KR book and by Herzog in his Hue lectures.
